Vector::BLF::A429BusStatistic(3)

NAME
Vector::BLF::A429BusStatistic - A429_BUS_STATISTIC.

SYNOPSIS

#include <A429BusStatistic.h>

Inherits Vector::BLF::ObjectHeader.

  Public Member Functions
void read (AbstractFile &is) override
void write (AbstractFile &os) override
uint32_t calculateObjectSize () const override
Public Member Functions inherited from Vector::BLF::ObjectHeader
ObjectHeader (const ObjectType objectType, const uint16_t objectVersion=0)
void read (AbstractFile &is) override
void write (AbstractFile &os) override
uint16_t calculateHeaderSize () const override
uint32_t calculateObjectSize () const override
Public Member Functions inherited from Vector::BLF::ObjectHeaderBase
ObjectHeaderBase (const uint16_t headerVersion, const ObjectType objectType)
ObjectHeaderBase (const ObjectHeaderBase &)=default
ObjectHeaderBase & operator= (const ObjectHeaderBase &)=default
ObjectHeaderBase (ObjectHeaderBase &&)=default
ObjectHeaderBase & operator= (ObjectHeaderBase &&)=default

  Public Attributes
uint16_t channel {}
uint8_t dir {}
uint8_t reservedA429BusStatistic {}
uint32_t busload {}
uint32_t dataTotal {}
uint32_t errorTotal {}
uint32_t bitrate {}
uint16_t parityErrors {}
uint16_t bitrateErrors {}
uint16_t gapErrors {}
uint16_t lineErrors {}
uint16_t formatErrors {}
uint16_t dutyFactorErrors {}
uint16_t wordLenErrors {}
uint16_t codingErrors {}
uint16_t idleErrors {}
uint16_t levelErrors {}
std::array< uint16_t, 256 > labelCount {}
Public Attributes inherited from Vector::BLF::ObjectHeader
uint32_t objectFlags {ObjectFlags::TimeOneNans}
object flags
uint16_t clientIndex {}
client index of send node
uint16_t objectVersion {0}
object specific version
uint64_t objectTimeStamp {}
object timestamp
Public Attributes inherited from Vector::BLF::ObjectHeaderBase
uint32_t signature {ObjectSignature}
signature (ObjectSignature)
uint16_t headerSize {}
sizeof object header
uint16_t headerVersion {}
header version (1)
uint32_t objectSize {}
object size
ObjectType objectType {ObjectType::UNKNOWN}
object type

  Additional Inherited Members
Public Types inherited from Vector::BLF::ObjectHeader
enum ObjectFlags : uint32_t { TimeTenMics = 0x00000001, TimeOneNans = 0x00000002 }

Detailed Description

A429_BUS_STATISTIC. A429 bus statistic object

Member Function Documentation

  uint32_t Vector::BLF::A429BusStatistic::calculateObjectSize () const [override], [virtual]
Calculates the objectSize

Returns
    object size

Reimplemented from Vector::BLF::ObjectHeaderBase.

  void Vector::BLF::A429BusStatistic::read (AbstractFile & is) [override], [virtual]
Read the data of this object

Parameters
    is input stream

Reimplemented from Vector::BLF::ObjectHeaderBase.

  void Vector::BLF::A429BusStatistic::write (AbstractFile & os) [override], [virtual]
Write the data of this object

Parameters
    os output stream

Reimplemented from Vector::BLF::ObjectHeaderBase.

Member Data Documentation

  uint32_t Vector::BLF::A429BusStatistic::bitrate {}
bitrate

  uint16_t Vector::BLF::A429BusStatistic::bitrateErrors {}
bitrate errors

  uint32_t Vector::BLF::A429BusStatistic::busload {}
busload

  uint16_t Vector::BLF::A429BusStatistic::channel {}
application channel

  uint16_t Vector::BLF::A429BusStatistic::codingErrors {}
coding errors

  uint32_t Vector::BLF::A429BusStatistic::dataTotal {}
data total

  uint8_t Vector::BLF::A429BusStatistic::dir {}
direction flag: 0=Rx, 1=Tx

  uint16_t Vector::BLF::A429BusStatistic::dutyFactorErrors {}
duty factor errors

  uint32_t Vector::BLF::A429BusStatistic::errorTotal {}
error total

  uint16_t Vector::BLF::A429BusStatistic::formatErrors {}
format errors

  uint16_t Vector::BLF::A429BusStatistic::gapErrors {}
gap errors

  uint16_t Vector::BLF::A429BusStatistic::idleErrors {}
idle errors

  std::array<uint16_t, 256> Vector::BLF::A429BusStatistic::labelCount {}
label count

  uint16_t Vector::BLF::A429BusStatistic::levelErrors {}
level errors

  uint16_t Vector::BLF::A429BusStatistic::lineErrors {}
line errors

  uint16_t Vector::BLF::A429BusStatistic::parityErrors {}
parity errors

  uint8_t Vector::BLF::A429BusStatistic::reservedA429BusStatistic {}
reserved

  uint16_t Vector::BLF::A429BusStatistic::wordLenErrors {}
word length errors

Author

Generated automatically by Doxygen for Vector BLF from the source code.